CssParser (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.css, class: CssParser

# Class CssParser

java.lang.Object
javafx.css.CssParser

public final class CssParser extends Object
A parser for a CSS document string.

Since:
  9

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CssParser.ParseError`
  A class that encapsulates information about the source and nature of errors encountered while parsing CSS or applying styles to Nodes.

- ## Property Summary

  Properties
  Type
  Property
  Description
  `static ObservableList<CssParser.ParseError>`
  `errors`
  List of errors that may have occurred during CSS processing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CssParser()`
  Constructs a `CssParser`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObservableList<CssParser.ParseError>`
  `errorsProperty()`
  List of errors that may have occurred during CSS processing.
  `Stylesheet`
  `parse(String stylesheetText)`
  Creates a `Stylesheet` from a CSS document string.
  `Stylesheet`
  `parse(String docbase, String stylesheetText)`
  Creates a `Stylesheet` from a CSS document string using docbase as the base URL for resolving references within `Stylesheet`.
  `Stylesheet`
  `parse(URL url)`
  Updates the given stylesheet by reading a CSS document from a URL, assuming UTF-8 encoding.
  `Stylesheet`
  `parseInlineStyle(Styleable node)`
  Parse an in-line style from a `Node`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### errors

    public static ObservableList<CssParser.ParseError> errorsProperty
    List of errors that may have occurred during CSS processing.
    See Also:
      - `errorsProperty()`

- ## Constructor Details

  - ### CssParser

    public CssParser()
    Constructs a `CssParser`.

- ## Method Details

  - ### parse

    public Stylesheet parse(String stylesheetText)
    Creates a `Stylesheet` from a CSS document string.
    Parameters:
      `stylesheetText` - the CSS document to parse
    Returns:
      the `Stylesheet`

  - ### parse

    public Stylesheet parse(String docbase, String stylesheetText) throws IOException
    Creates a `Stylesheet` from a CSS document string using docbase as the base URL for resolving references within `Stylesheet`.
    Parameters:
      `docbase` - the doc base for resolving URL references
      `stylesheetText` - the CSS document to parse
    Returns:
      the Stylesheet
    Throws:
      `IOException` - the exception

  - ### parse

    public Stylesheet parse(URL url) throws IOException
    Updates the given stylesheet by reading a CSS document from a URL, assuming UTF-8 encoding.
    Parameters:
      `url` - URL of the stylesheet to parse
    Returns:
      the stylesheet
    Throws:
      `IOException` - the exception

  - ### parseInlineStyle

    public Stylesheet parseInlineStyle(Styleable node)
    Parse an in-line style from a `Node`.
    Parameters:
      `node` - the styleable node
    Returns:
      the style sheet

  - ### errorsProperty

    public static ObservableList<CssParser.ParseError> errorsProperty()
    List of errors that may have occurred during CSS processing.
    Returns:
      an `ObservableList` of `ParseError`